Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Iterator< T > Class Template Reference

Defines the iterator interface. More...

`#include <Map_T.h>`

List of all members.

## Public Types
typedef T | value_type
typedef ACE_Iterator_Impl< T > | implementation
## Public Member Functions
| ACE_Iterator (ACE_Iterator_Impl< T > *impl)
| Constructor.
| ACE_Iterator (const ACE_Iterator< T > &rhs)
| Copy constructor.
| ~ACE_Iterator (void)
| Destructor.
ACE_Iterator< T > & | operator= (const ACE_Iterator< T > &rhs)
| Assignment operator.
bool | operator== (const ACE_Iterator< T > &rhs) const
| Comparison operators.
bool | operator!= (const ACE_Iterator< T > &rhs) const
T | operator * () const
| Dereference operator.
ACE_Iterator< T > & | operator++ (void)
| Prefix advance.
ACE_Iterator< T > | operator++ (int)
| Postfix advance.
ACE_Iterator< T > & | operator-- (void)
| Prefix reverse.
ACE_Iterator< T > | operator-- (int)
| Postfix reverse.
ACE_Iterator_Impl< T > & | impl (void)
| Accessor to implementation object.
## Protected Attributes
ACE_Iterator_Impl< T > * | implementation_
| Implementation pointer.

## Detailed Description

### template<class T>
class ACE_Iterator< T >

Defines the iterator interface.

Implementation to be provided by forwarding.

## Member Typedef Documentation

template<class T>
typedef ACE_Iterator_Impl<T> ACE_Iterator< T >::implementation

template<class T>
typedef T ACE_Iterator< T >::value_type

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Iterator< T >::ACE_Iterator | ( | ACE_Iterator_Impl< T > * | impl | ) |

| Constructor.

template<class T>
ACE_INLINE ACE_Iterator< T >::ACE_Iterator | ( | const ACE_Iterator< T > & | rhs | ) |

| Copy constructor.

template<class T>
ACE_INLINE ACE_Iterator< T >::~ACE_Iterator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class T>
ACE_INLINE ACE_Iterator_Impl< T > & ACE_Iterator< T >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T>
ACE_INLINE T ACE_Iterator< T >::operator * | ( |  | ) | const

| Dereference operator.

template<class T>
ACE_INLINE bool ACE_Iterator< T >::operator!= | ( | const ACE_Iterator< T > & | rhs | ) | const

template<class T>
ACE_INLINE ACE_Iterator< T > ACE_Iterator< T >::operator++ | ( | int |  | ) |

| Postfix advance.

template<class T>
ACE_INLINE ACE_Iterator< T > & ACE_Iterator< T >::operator++ | ( | void |  | ) |

| Prefix advance.

template<class T>
ACE_INLINE ACE_Iterator< T > ACE_Iterator< T >::operator-- | ( | int |  | ) |

| Postfix reverse.

template<class T>
ACE_INLINE ACE_Iterator< T > & ACE_Iterator< T >::operator-- | ( | void |  | ) |

| Prefix reverse.

template<class T>
ACE_INLINE ACE_Iterator< T > & ACE_Iterator< T >::operator= | ( | const ACE_Iterator< T > & | rhs | ) |

| Assignment operator.

template<class T>
ACE_INLINE bool ACE_Iterator< T >::operator== | ( | const ACE_Iterator< T > & | rhs | ) | const

| Comparison operators.

## Member Data Documentation

template<class T>
ACE_Iterator_Impl<T>* ACE_Iterator< T >::implementation_`[protected]`

| Implementation pointer.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.inl